# stackdriver – Send code deploy and annotation events to stackdriver

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Send code deploy and annotation events to Stackdriver

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
annotated_by - | Default: "Ansible" | The person or robot who the annotation should be attributed to.
deployed_by - | Default: "Ansible" | The person or robot responsible for deploying the code
deployed_to - |  | The environment code was deployed to. (ie: development, staging, production)

event
-

Choices:
- annotation
- deploy

The type of event to send, either annotation or deploy

event_epoch - |  | Unix timestamp of where the event should appear in the timeline, defaults to now. Be careful with this.
instance_id - |  | id of an EC2 instance that this event should be attached to, which will limit the contexts where this event is shown
key - / required |  | API key.

level
-

Choices:
- INFO ←
- WARN
- ERROR

one of INFO/WARN/ERROR, defaults to INFO if not supplied. May affect display.

msg - |  | The contents of the annotation message, in plain text. Limited to 256 characters. Required for annotation.
repository - |  | The repository (or project) deployed
revision_id - |  | The revision of the code that was deployed. Required for deploy events

## Examples

    - stackdriver:
        key: AAAAAA
        event: deploy
        deployed_to: production
        deployed_by: leeroyjenkins
        repository: MyWebApp
        revision_id: abcd123

    - stackdriver:
        key: AAAAAA
        event: annotation
        msg: Greetings from Ansible
        annotated_by: leeroyjenkins
        level: WARN
        instance_id: i-abcd1234

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ben Whaley (@bwhaley)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.